<script setup>
import Sidebar from "@/components/Sidebar.vue";
import {useGroupStore} from "@/stores/group"
import StudentForm from "@/components/StudentForm.vue";
import GroupForm from "@/components/GroupForm.vue";
import {computed} from "vue";

import {useRoomStore} from "@/stores/room";

const groupStore = useGroupStore()
const roomStore = useRoomStore()

const groups = computed(() => [...groupStore.groups])

</script>

<template>
  <Sidebar></Sidebar>
  <h1>Group Overview</h1>
  <div class="groupInput">
    <group-form></group-form>
  </div>

  <div class="container mt-3">
    <table class="table table-dark table-striped">
      <thead>
      <tr>
        <th>Name</th>
        <th>Number</th>
        <th>Start Date</th>
        <th>End Date</th>
        <th>Room</th>
        <th>Details</th>
      </tr>
      </thead>
      <tbody>
      <tr v-for="(group, index) in groups">
        <td>{{ group.specializations }}</td>
        <td>{{ group.groupNumber }}</td>
        <td><input type="date" v-model="group.startDate.split('T')[0]" disabled></td>
        <td><input type="date" v-model="group.endDate.split('T')[0]" disabled></td>
        <td>{{ roomStore.rooms.find(room => room.roomId === group.roomId)?.roomNumber }}
          {{ roomStore.rooms.find(room => room.roomId === group.roomId)?.vip }}
        </td>
        <td>
          <button class="btn btn-outline-warning">
            <router-link class="link btn-dark" :to="/group/+ index">Details</router-link>
          </button>
        </td>
      </tr>
      </tbody>
    </table>
  </div>
</template>

<style scoped>
.groupInput {
  margin-left: -300px;
  margin-top: 50px;
  margin-bottom: 50px;
}

h1 {
  margin-left: 50px;

}

.container {
  margin-left: -310px;
}

.table-dark {
  width: 1000px;
  border: 5px solid black;
}

.btn-dark {
  color: white;
  border: none;
  text-decoration: none;
}

th {
  font-weight: bold;
}


</style>